<template>
  <base-dialog :show="showDialog" title="Rules" @close="closeDialog">
    <img src="@/assets/image-rules-bonus.svg" />
  </base-dialog>
  <footer class="flex">
    <div @click="openDialog" class="rules">
      <h2>Rules</h2>
    </div>
  </footer>
</template>

<script>
export default {
  data() {
    return {
      showDialog: false,
    };
  },
  computed: {},
  mounted() {},
  methods: {
    closeDialog() {
      this.showDialog = false;
    },
    openDialog() {
      this.showDialog = true;
    },
  },
};
</script>

<style scoped>
footer {
  justify-content: center;
  margin-bottom: 0.5rem;
}
@media (min-width: 37.5em) {
  footer {
    justify-content: end;
    margin-inline: 2rem;
    margin-bottom: 1rem;
  }
}
.rules {
  cursor: pointer;
  border: 0.125rem solid var(--neutral-header);
  border-radius: 0.625rem;
  padding-block: 0.3rem;
  padding-inline: 2rem;
  color: var(--neutral-white);
  text-transform: uppercase;
  letter-spacing: 0.125rem;
}
.rules > h2 {
  font-size: 1rem;
  font-weight: 600;
}
</style>
